#include<bits/stdc++.h>
using namespace std;
long long int nadji(long long int c)
{
	long long int i=0;
	if(c>=5)
	{
		c-=5;
		i++;
	}
	if(c>=2)
	{
		c-=2;
		i++;
	}
	if(c>=2)
	{
		c-=2;
		i++;
	}
	if(c>=1)
	{
		c-=1;
		i++;
	}
	return i;
}
main()
{
	long long int a,s=0;
	scanf("%lli",&a);
	do
	{
		s+=nadji(a%10);
		a=a/10;	
	}while((a/10)!=0);
	s+=nadji(a%10);
	printf("%lli",s);
}